Download it now!
Bug 61794 - QUERYDESIGN limit window limited to four digits
Summary: QUERYDESIGN limit window limited to four digits
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-04 15:22 UTC by Lionel Elie Mamane
Modified: 2013-03-27 13:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-03-04 15:22:18 UTC
In query design mode, when entering into the LIMIT box (rightmost element of the default toolbar) any value greater than 9999, the value is replaced by 9999.
Comment 1 Tamás Zolnai 2013-03-04 17:04:54 UTC
This behaviour is also inherited from NumericBox. NumericBox has a maximum value and in this case it was set to 9999. It is no matter to change, but I think it is the optimal choise, because:
 1, Greater value is hang out from the LimitBox.
 2, I think it is not a common case to use greater limit in query design view
Comment 2 Lionel Elie Mamane 2013-03-04 17:36:03 UTC
I'd rather not artificially limit our users just because "the value will not fit in the screen space we decided to allocate for this".

Don't our boxes have the ability to dynamically redimension themselves anyway? If I remember well, I did that (albeit in the "old" non-Glade) system in http://cgit.freedesktop.org/libreoffice/core/commit/?id=25156680b5228bf72d4061e9052d15518c638418

I concede that it is not obvious that a toolbar item should resize itself too dramatically.

But at least in the properties dialog being introduced in, https://gerrit.libreoffice.org/2508/, IMHO the LimitBox should just be far bigger by default: horizontal space is aplenty in this dialog.
Comment 3 Commit Notification 2013-03-09 11:04:08 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c52c8bd73bb814a87df2c032faa164f21f9f73e

fdo#61794 Allow greater value in LimitBox



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-03-27 13:36:50 UTC
Zolnai Tamas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c6adf5b46ce52b6d1ada11c0ddc03cedb675e88

fdo#61794 Set maximum of LimitBox to SAL_MAX_INT64



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.